# xarray.Dataset.bfill

`Dataset.``bfill`(dim: Hashable, limit: int = None) → xarray.core.dataset.Dataset

  Fill NaN values by propogating values backward

  Requires bottleneck.

  Parameters:

  - dim (str) – Specifies the dimension along which to propagate values when filling.
  - limit (int, default None) – The maximum number of consecutive NaN values to backward fill. In other words, if there is a gap with more than this number of consecutive NaNs, it will only be partially filled. Must be greater than 0 or None for no limit.

  Returns: |
  Return type: | Dataset